using System;

namespace SentsControl
{
  class Program
  {
    public static void Main(string[] args)
    {
/*      
      // IF
      int a = 10, b = 2, x = 0;
      
      if (a == b * 5)
      {
        x = 4;
        a = a + x;
      }
      else
      {
        b = 0;
      }
      Console.Write("a= {0:D}, b= {1:D}, x= {2:D}\n", a, b, x);

      // SWITCH
      string str = null;
      switch (x)
      {
        case 1:
          str = "1";
          break;
        case 2: case 3:
          str = "2 ó 3";
          break;
        case 4: case 5: case 6: case 7: case 8: case 9:
          str = "4 a 9";
          break;
        default:
          str = "otro valor";
          break;
      }
      Console.Write("str = {0}\n", str);

      // WHILE
      char car = '\0';
      Console.Write("\nDesea continuar s/n (sí o no) ");
      car = (char)Console.Read();
      // Eliminar los caracteres disponibles en el flujo de entrada
      Console.ReadLine();
      while (car != 's' && car != 'n')
      {
        Console.Write("\nDesea continuar s/n (sí o no) ");
        car = (char)Console.Read();
        Console.ReadLine(); // limpiar \n
      }
      if (car == 's')
        Console.WriteLine("Continuar . . .");
      else
        return;

      // DO WHILE
      char car = '\0';
      do
      {
        Console.Write("Desea continuar s/n (sí o no) ");
        car = (char)Console.Read();
        Console.ReadLine(); // limpiar \n
      }
      while (car != 's' & car != 'n');
      if (car == 's')
        Console.Write("Continuar . . .\n");
      else
        return;

      // FOR
      int i;
      for (i = 1; i <= 100; i++)
        Console.Write(i + " ");
      Console.WriteLine();

      int suma = 0;
      for (i = 1; i <= 99; i += 2) // Para i=1,3,5,... hasta 99
      {
        suma = suma + i;
      }
      Console.WriteLine(suma);

      suma = 0;
      for (i = 99; i >= 1; i -= 2) // Para i=99,97,... hasta 1
      {
        suma = suma + i;
      }
      Console.WriteLine(suma);

      int[] matriz_m = {1, 2, 3, 4, 5, 6};
      int suma = 0;

      foreach (int x in matriz_m)
      {
        suma = suma + x;
      }
      Console.WriteLine(suma); // suma = 21

      int i = 1, suma = 0;
      while (true)
      {
        suma = suma + i;
        i += 2;
        if (i > 99) break;
      }
      Console.WriteLine(suma);

      // TRY ... CATCH
      int dato1 = 0, dato2 = 0, dato3 = 0;
      dato1++;
      dato3 = dato1 / dato2;
      dato2++;
      // Otras sentencias
      Console.WriteLine(dato1 + " " + dato2 + " " + dato3);
*/
      int dato1 = 0, dato2 = 0, dato3 = 0;
      try
      {
        dato1++;
        dato3 = dato1 / dato2;
        dato2++;
        // Otras sentencias
      }
      catch (DivideByZeroException e)
      {
        // Manejar una excepción de tipo DivideByZeroException
        Console.WriteLine("Error: " + e.Message);
        dato3 = dato1;
      }
      Console.WriteLine(dato1 + " " + dato2 + " " + dato3);
      
      Console.Write("Press any key to continue . . . ");
      Console.ReadKey(true);
    }
  }
}
